Skip to main content
POST
/
settings
/
set
/
{instance}
Set Settings
curl --request POST \
  --url https://{server-url}/settings/set/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "reject_call": true,
  "groups_ignore": true,
  "always_online": true,
  "read_messages": true,
  "read_status": true,
  "sync_full_history": true,
  "msg_call": "<string>"
}
'
{
  "settings": {
    "instanceName": "teste-docs",
    "settings": {
      "reject_call": true,
      "groups_ignore": true,
      "always_online": true,
      "read_messages": true,
      "read_status": true,
      "sync_full_history": false
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

ID of the instance to connect

Body

application/json
reject_call
boolean
required

Reject calls automatically

groups_ignore
boolean
required

Ignore group messages

always_online
boolean
required

Always show WhatsApp online

read_messages
boolean
required

Send read receipts

read_status
boolean
required

See message status

sync_full_history
boolean
required

Syncronize full WhatsApp history with EvolutionAPI

msg_call
string

Message to be sent when a call is rejected automatically

Response

201 - application/json

Created

settings
object